Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class Expression11

    java.lang.Object
      org.apache.ode.bpel.compiler.SourceLocation
          org.apache.ode.bpel.compiler.bom.BpelObject
              org.apache.ode.bpel.compiler.bom.Expression
                  org.apache.ode.bpel.compiler.bom.Expression11

Direct Known Subclasses:
  Query11

    public class Expression11

extends Expression

BPEL-1.1 overrides for the expression object. In BPEL 1.1 we had these things appear in an attribute, so we'll return the attribute node for the expression node.

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`Expression11(org.w3c.dom.Element el, org.w3c.dom.Node expression)`

Method Summary
`org.w3c.dom.Node` | `getExpression()`
`java.lang.String` | `getExpressionLanguage()` Get the expression language for this expression.

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Expression11

    public Expression11(org.w3c.dom.Element el,
                        org.w3c.dom.Node expression)

Method Detail

### getExpression

    public org.w3c.dom.Node getExpression()

  Overrides:
    `getExpression` in class `Expression`

### getExpressionLanguage

    public java.lang.String getExpressionLanguage()

  Description copied from class: `Expression`
  Get the expression language for this expression.

  Overrides:
    `getExpressionLanguage` in class `Expression`
  Returns:
    expression langauge URI or `null` if none specified

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD